RubyGems Navigation menu

safer_rails_console 0.4.0

This gem makes Rails console sessions less dangerous in specified environments by warning, color-coding, auto-sandboxing, and allowing read-only external connections (disables job queueing, non-GET requests, etc.)

Versions:

  1. 0.4.0 - September 19, 2019 (13 KB)
  2. 0.3.0 - April 16, 2018 (13.5 KB)
  3. 0.2.0 - September 07, 2017 (13.5 KB)
  4. 0.1.4 - August 15, 2017 (12.5 KB)
  5. 0.1.3 - August 02, 2017 (12 KB)
Show all versions (8 total)

Runtime Dependencies (1):

  • rails >= 5.0, < 6.1
  • Development Dependencies (9):

  • appraisal ~> 2.2
  • bundler ~> 2.0
  • mixlib-shellout ~> 2.2
  • overcommit ~> 0.39.0
  • pg ~> 1.1
  • rake ~> 12.0
  • rspec ~> 3.6
  • salsify_rubocop ~> 0.48.0
  • wwtd ~> 1.3
  • Owners:

    Pushed by:

    Authors:

    • Salsify, Inc

    SHA 256 checksum:

    23ca6c9a64dcfc32934d7e07f786a61d2face6308a7810e845e8c0e3f7cf1e13

    Total downloads 39,398

    For this version 10,338

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: